Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class NameNodeListImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.DeepNodeListImpl
            |
            +--org.apache.html.dom.NameNodeListImpl

All Implemented Interfaces:
  org.w3c.dom.NodeList

public class NameNodeListImpl
extends org.apache.xerces.dom.DeepNodeListImpl
implements org.w3c.dom.NodeList

This class implements the DOM's NodeList behavior for HTMLDocuemnt.getElementsByName().

Since:
  PR-DOM-Level-1-19980818.
Version:
  $Id: NameNodeListImpl.java,v 1.5 2002/01/17 06:42:26 twl Exp $
See Also:
  `DeepNodeListImpl`

Fields inherited from class org.apache.xerces.dom.DeepNodeListImpl
`changes, enableNS, nodes, nsName, rootNode, tagName`

Constructor Summary
`NameNodeListImpl(org.apache.xerces.dom.NodeImpl rootNode, java.lang.String tagName)` Constructor.

Method Summary
`protected org.w3c.dom.Node` | `nextMatchingElementAfter(org.w3c.dom.Node current)` Iterative tree-walker.

Methods inherited from class org.apache.xerces.dom.DeepNodeListImpl
`getLength, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.NodeList
`getLength, item`

Constructor Detail

### NameNodeListImpl

    public NameNodeListImpl(org.apache.xerces.dom.NodeImpl rootNode,
                            java.lang.String tagName)

  Constructor.

Method Detail

### nextMatchingElementAfter

    protected org.w3c.dom.Node nextMatchingElementAfter(org.w3c.dom.Node current)

  Iterative tree-walker. When you have a Parent link, there's often no need to resort to recursion. NOTE THAT only Element nodes are matched since we're specifically supporting getElementsByTagName().
  Overrides:
    `nextMatchingElementAfter` in class `org.apache.xerces.dom.DeepNodeListImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.